LinX 0.6.4

- добавлена возможность запустить тестирование на заданный временной интервал и новое выпадающее меню для переключения между двумя режимами (разы/минуты)
- небольшие изменения/улучшения пользовательского интерфейса
- окна графиков теперь корректно сохраняют свои позиции при выходе из программы
- исправлен не очень частый баг с ошибками LinX при сильной загрузке процессора
- добавлены новые параметры командной строки, исправлены найденные ошибки в старых (LinX.exe -help для вывода доступных параметров) 
- добавлены секунды в имена файлов для избежания переименования


LinX 0.6.3

- убрана пасхалка и добавлена опция включения эффекта стекла на ОС Windows Vista и Windows 7 с включенным Aero
- изменён (увеличен) верхний предел для 32-битного Linpack до 15500
- выбранные графики теперь сохраняются при выходе
- данные мониторинга (минимальное и максимальное значения для каждого монитора) теперь записываются в конец текстового отчёта, если соответствующие графики были включены во время тестирования
- исправлен баг, при котором LinX мог перестать отвечать на запросы, если Linpack завершался из-за нехватки памяти
- исправлен возможный баг при одновременном запуске сразу нескольких копий LinX
- исправлен возможный баг в графиках, могущий привести к сообщению об ошибке, если Everest или Speedfan были выключены во время тестирования
- исправлен баг с невидимым прогрессбаром в классической теме


LinX 0.6.2

- улучшено управление потоками и взаимодействие с Linpack, чтобы исправить проблему с меняющимися Гигафлопсами
- текущая папка теперь явно соответствует папке с программой, чтобы избежать ложных ошибок «Файлы Linpack не найдены»
- скриншоты главного окна теперь можно делать и с открытыми окнами настроек и информации о программе


LinX 0.6.1

- файлы Linpack обновлены до версии 10.2
- модифицирован главный алгоритм, возможно, улучшится производительность
- исправлена ошибка с непостоянными значениями Гигафлопс
- добавлены горячие клавиши для кнопок Тест и Стоп, Enter и Escape соответственно


LinX 0.6.0

- добавлена возможность изменения приоритета процесса Linpack
- cнято ограничение на максимальное число потоков, создаваемых Linpack
- изменён файл libiomp5mp.dll для бОльшего максимального объёма задачи 32-битного Linpack
- добавлена возможность добавлять время/дату к именам сохраняемых файлов, включена по умолчанию
- изменена индикация процесса тестирования (одинакова на всех ОС и менее требовательна к ресурсам)
- различные изменения/упрощения в главном меню программы
- добавлены ключи командной строки (экспериментально), список ключей: LinX.exe /?
- небольшие изменения в интерфейсе и оптимизации
- добавлена маленькая пасхалка не для всех

LinX 0.5.9.1

- снято ограничение на максимум 999 проходов теста
- исправлен баг с отображением результатов небольших тестов (Объем задачи < 1000)
- небольшие оптимизации

LinX 0.5.9

- улучшено отображение времени (синхронизируется с временем Windows для избежания накопления погрешности)
- множество испрвлений и оптимизаций
- косметичекие улучшения в интерфейсе

LinX 0.5.8.2

- теперь программа корректно работает при запуске с CD/DVD-дисков
- улучшено отображение интерфейса для режимов с масштабированием
- мелкие исправления

LinX 0.5.8

- для сохранения настроек тестирования теперь необязательно проходить тест на этих настройках
- добавлено сохранение настроек при старте теста (для их сохранеия в случае зависания или BSOD'a)
- добавлена возможность автосохранения отчета Linpack в течение тестирования (слегка снижает производительность)
- графики теперь строятся и во время тестирования
- улучшено отображение графиков, добавлено сохранение позиций и размеров графиков на экране
- обновлено окошко «О программе»
- исправлены мелкие ошибки

LinX 0.5.7

- небольшое изменение интерфейса: часть настроек перемещена в окно Параметры
- улучшено окно О программе

LinX 0.5.6

- изменения, исправления и улучшения в интерфейсе: теперь в статусной строке отображается число потоков и режим (x32/x64) Linpack'а
- добавлено отображение модели процессора в статусной строке
- режим Linpack'а теперь также указывается в текстовом отчете

LinX 0.5.5.2

- подкорректирован (уменьшен) верхний предел для 32-битного Linpack'а для ОС Windows Vista и Windows 7
- исправлено незначительное падение производительности Linpack'а в предыдущей версии
- исправлено иногда неверное определение нестабильности 64-битным Linpack'ом (несовпадающие колонки Residual) на системах с Core i7 с большими объемами памяти

LinX 0.5.5

- улучшено управление потоками. 2 процесса Linpack'а более не запускаются для нагрузки всех ядер на процессорах с HyperThreading
- добавлена возможность включить значок в трее и сворачивать программу в трей
- небольшие улучшения в интерфейсе

LinX 0.5.4

- реализована поддержка HyperThreading. Теперь, если процессор поддерживает эту технологию, будут запущены 2 процесса Linpack'а, нагружающие все (логические и физические) ядра. Для этого есть соответствующий пункт в окне Параметры
- добавлена поддержка управления потоками Linpack'а. Теперь возможно запустить Линпак с меньшим количеством потоков, чем максимальное. Число потоков можно задавать в выпадающем меню при клике правой кнопкой мыши по кнопке Тест и в окне Параметры
- дополнено и улучшено главное меню программы
- добавлено диалоговое окно расширенных настроек
- исправлено много мелких ошибкок
- еще немного улучшено быстродействие программы
- графики теперь имеют редактируемые верхние и нижние пределы

LinX 0.5.3

- во время тестирования более не создается временный лог-файл для записи результатов, Гигафлопс будет немного, но больше
- файлы Линпака 10.1 теперь, вполне возможно, работают на всех процессорах
- обновлен интерфейс
- добавлена поддержка локализаций. За локализованный интерфейс отвечает файл local.lng, сторонники английского интерфейса могут его удалить, полиглоты могут придумать свой
- добавлена кнопка для постоянного использования всей доступной памяти

LinX 0.5.2

- обновлены исполняемые файлы Linpack'а до версии 10.1 (только для процессоров Intel). Спасибо камарду sashar2 за найденные и выложенные библиотеки libiomp5md.dll, необходимые для работы этой версии Linpack'а. Владельцы процессоров AMD могут использовать файлы Linpack 10.0 с поддержкой всех процессоров (linpack_xeon32.exe_amd и linpack_xeon64.exe_amd), переименовав их в соответсвенно linpack_xeon32.exe и linpack_xeon64.exe и заменив исходные файлы
- добавлена поддержка импорта значений температуры процессора, напряжений ядра и +12 в и скорости вращения процессорного вентилятора из Speedfan'а. Для этого необходимо в меню "Импорт данных" выбрать соответствующий пункт, а также внести в файл Speedfan.ini значения порядковых номеров соответствующих температур/напряжений/скоростей из программы Speedfan
- при включенном импортировании данных из Everest'а или Speedfan'а в строке состояния помимо текущей и максимальной температуры теперь также отображается текущее значение напряжения ядра процессора и (если данные берутся из Everest'а) его частота
- LinX теперь хранит все свои настройки, а также настройки Linpack'а в конфигурационном файле LinX.ini в папке с программой
- теперь для значения Leading Dimensions Linpack'а по умолчанию выбирается ближайшее большее (или равное), чем Объем задачи, значение, кратное 8 и не кратное 16 (позволяет добиться максимальной производительности по заверениям разработчиков). Эту возможность можно отключить с помощью ключа UseOptimizedLeadingDimensions=0 в конфигурационном файле

LinX 0.5.1.4

- исправлены ошибки, связанные с импортом данных из Everest'а и с построением и отображением графиков

LinX 0.5.1

- добавлена возможность построения графиков по окончании тестирования по данным из Everest'а. Графики отображаются в отдельных окошках с поддержкой изменения размера и полупрозрачности (по движению колёсика мыши)
- поле индикации теперь мигает во всех режимах отображения времени
- добавлена возможность сохранить скриншот программы в формате PNG по нажатию клавиши F5. Скриншот сохраняется в папке с программой как LinX.png. Нажатие F5 в окнах с графиками сохранит сами графики также в формате PNG в папку с программой

LinX 0.5.0

- добавлена поддержка импорта температуры ЦП из Everest'а. Для ее включения необходимо отметить пункт меню "Everest -> Импортировать данные", а в самом Everest'е отметить опцию "Использовать совместную память" (в Everest'е - "Файл -> Настройки... -> Внешние приложения"). Отображаемая температура - температура самого горячего из ядер ЦП; если в процессоре отсутствуют термодатчики в ядре, используется температура с внешнего датчика на материнской плате
- добавлена возможность прекратить тестирование при превышении температурой процессора заданного значения
- исправлен баг с "замерзанием" прошедшего времени при смене режима отображения времени до окончания первого теста
- предположительно исправлено некорректное чтение настроек из поврежденного файла lininput
- LinX теперь запоминает большинство настроек при выходе

LinX 0.4.9.1

- слегка изменен интерфейс
- исправлен баг, приводивший к сообщению о завершении Linpack'а по окончании тестирования в некоторых ситуациях

LinX 0.4.9

- добавлена возможность растягивания окна вниз (для большей удобочитаемости лога)
- незначительные исправления и изменения в интерфейсе
- предположительно исправлена ошибка с последующим завершением программы, возникавшая при обнаружении ошибки на последнем тесте
- добавлен режим "Поверх всех окон", для его включения/выключения необходимо дважды кликнуть по заголовку окна
- добавлено сохранение размеров окна при выходе
- при выборе пункта "Включить звуковую индикацию" звук будет проигрываться и при успешном завершении теста (однократно)
- вновь добавлено мерцание статусной строки для индикации активности (отключается вместе с отключением отображения времени по двойному клику по статусной строке)

LinX 0.4.8

- вновь переписан алгоритм опроса Linpack'а. Теперь LinX можно безболезненно перетаскивать во время тестирования

LinX 0.4.7

- переписан алгоритм "опроса" Linpack'а. Теперь LinX использует всего один временный файл. Производительность практически на уровне оригинального Линпака
- подкорректировано максимальное значение матрицы/используемой памяти для 32-битного Linpack'а по совету камрада Megagad
- добавлена проверка отрицательности степени Residual(norm) для первого теста
- мелкие (в т.ч. грамматические:) фиксы в интерфейсе

LinX 0.4.6

- теперь, вновь благодаря камраду Right, и 64-битный Linpack в архиве с программой работает на любых ЦП (в т.ч. и AMD); 64-битные обладатели процессоров AMD, дружно скажите ему спасибо!
- изменен алгоритм получения максимальной доступной физической памяти. Теперь LinX корректно определяет доступную физическую память на 32-битных ОС с более чем 2ГБ ОЗУ и на 64-битных ОС с более чем 4 ГБ ОЗУ
- добавлено ограничение в 2 ГБ на максимальный объем оперативной памяти, выделяемой для 32-битного Linpack'а (внутреннее ограничение самого Linpack'а)
- добавлена опция звуковой нотификации при ошибке
- добавлена поддержка Unicode (вроде:)

LinX 0.4.5

- теперь благодаря камраду Right 32-битный Linpack в архиве с программой работает на любых ЦП (в т.ч. и AMD); обладатели процессоров AMD, дружно скажите ему спасибо!
- изменен способ запуска Linpack'а. Теперь программа корректно работает в Windows Vista x64
- для запуска Linpack'а более не создается временный .bat-файл
- добавлен прогрессбар для наглядности степени выполнения тестов (его, как и весь подсчет времени, можно отключить двойным кликом по полоске состояния во время тестирования)
- добавлена дополнительная индикация пройденных тестов в нижнем левом углу окошка 

LinX 0.4.3

- добавлена возможность смены режима отображения времени во время тестирования (клик по статусбару - переключение между прошедшим временем/оставшимся временем/временем окончания расчетов, двойной клик - отключение индикации времени)
- слегка увеличена производительность Линпака


LinX 0.4.2

- исправлено иногда неверное отображение минимального времени/пиковой производительности
- оставшееся время теперь отображается на кнопке Тест
- минимальное время итерации теперь рассчитывается в минутах/секундах
- добавлена возможность отключить остановку теста при ошибке
- мелкие фиксы в интерфейсе


LinX 0.4.1

- добавлен запрос на подтверждение выхода при попытке выйти из программы во время тестирования
- добавлена индикация пройденных тестов и расчет оставшегося времени в заголовке окна
- добавлено запоминание позиции окна на экране при выходе
- исправлен досадный баг с ошибками в выводе лога при количестве итераций > 255
- совершенно не заметные фиксы в интерфейсе